services:
    oro_marketing_activity.virtual_relation_provider.marketing_activity:
        class: 'Oro\Bundle\MarketingActivityBundle\Provider\MarketingActivityVirtualRelationProvider'
        arguments:
            - '@oro_marketing_list.entity_provider.contact_information'
        tags:
            - { name: oro_entity.virtual_relation_provider, priority: -150 }

    oro_marketing_activity.placeholder.filter:
        class: 'Oro\Bundle\MarketingActivityBundle\Placeholder\PlaceholderFilter'
        public: true
        arguments:
            - '@oro_entity.doctrine_helper'
            - '@oro_marketing_list.entity_provider.contact_information'
        tags:
            - { name: oro_featuretogle.feature, feature: 'marketingactivity' }

    Oro\Bundle\MarketingActivityBundle\Provider\MarketingActivitySectionDataNormalizer:
        alias: oro_marketing_activity.normalizer.marketing_activity.section_data

    oro_marketing_activity.normalizer.marketing_activity.section_data:
        class: 'Oro\Bundle\MarketingActivityBundle\Provider\MarketingActivitySectionDataNormalizer'
        public: true

    Oro\Bundle\MarketingActivityBundle\Filter\MarketingActivitiesSectionFilterHelper:
        alias: oro_marketing_activity.section_data.filter.helper

    oro_marketing_activity.section_data.filter.helper:
        class: 'Oro\Bundle\MarketingActivityBundle\Filter\MarketingActivitiesSectionFilterHelper'
        public: true

    oro_marketing_activity.factory:
        class: 'Oro\Bundle\MarketingActivityBundle\Model\ActivityFactory'
        arguments:
            - "@oro_entity_extend.enum_value_provider"
